# Class BattlerTagImmunityAbAttr

#### Hierarchy (view full)

- PreApplyBattlerTagAbAttr
  - BattlerTagImmunityAbAttr

- Defined in src/data/ability.ts:2031

#####
Index

### Constructors

constructor

### Properties

immuneTagType
showAbility

### Methods

addCondition
apply
applyPreApplyBattlerTag
getCondition
getTriggerMessage

## Constructors

### constructor

- new BattlerTagImmunityAbAttr(immuneTagType): BattlerTagImmunityAbAttr

- #### Parameters

  - immuneTagType: BattlerTagType

  #### Returns BattlerTagImmunityAbAttr

  Overrides PreApplyBattlerTagAbAttr.constructor

  - Defined in src/data/ability.ts:2034

## Properties

### `Private` immuneTagType

immuneTagType: BattlerTagType

- Defined in src/data/ability.ts:2032

### showAbility

showAbility: boolean

Inherited from PreApplyBattlerTagAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PreApplyBattlerTagAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PreApplyBattlerTagAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPreApplyBattlerTag

- applyPreApplyBattlerTag(pokemon, passive, tag, cancelled, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - tag: BattlerTag
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean

  Overrides PreApplyBattlerTagAbAttr.applyPreApplyBattlerTag

  - Defined in src/data/ability.ts:2040

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PreApplyBattlerTagAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Overrides PreApplyBattlerTagAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:2049